> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Gets the current contents of the auto-save buffer

> Returns the current contents of the auto-save buffer for the page.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['content']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v2/pages-v2.json GET /content/api/v2/pages/{page_id}/buffer
openapi: 3.0.1
info:
  title: Pages API
  description: Use the pages API to create and manage website pages in HubSpot CMS.
  version: v2
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Pages
paths:
  /content/api/v2/pages/{page_id}/buffer:
    get:
      tags:
        - Pages
      summary: Gets the current contents of the auto-save buffer
      description: Returns the current contents of the auto-save buffer for the page.
      operationId: getPageBuffer
      parameters:
        - name: page_id
          in: path
          description: The unique identifier for the page
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
              examples:
                page_buffer:
                  summary: Page buffer contents
                  value:
                    id: 352531415
                    name: Contact Us
                    slug: my-api-demo-page-slug
                    html_title: The API Test Page
                    widgets:
                      subheader:
                        body:
                          value: This is the follow up subheader
                      right_column:
                        body:
                          html: >-
                            <h2>This text was updated via the API</h2><p>This is
                            an example of publishing nested widget data via the
                            API.</p>
                        smart_type: 0
                        name: right_column
                        smart_objects: []
                    widget_containers: {}
                    has_user_changes: true

````